Subject: Re: [Patch net] net_sched: fix mirrored packets checksum

From: Daniel Borkmann <[email-masked]>
Date: Fri, 01 Jul 2016 11:13:55 +0200

On 07/01/2016 01:41 AM, Cong Wang wrote:
> On Thu, Jun 30, 2016 at 4:26 PM, Cong Wang <[email-masked]> wrote:
>> On Thu, Jun 30, 2016 at 4:11 PM, Daniel Borkmann <[email-masked]> wrote:
>>> On 07/01/2016 12:42 AM, Cong Wang wrote:
>>>> On Thu, Jun 30, 2016 at 12:50 PM, Daniel Borkmann <[email-masked]>
>>>> wrote:
>>>>>
>>>>> Maybe makes sense to move skb_push_rcsum() but /also/ skb_pull_rcsum()
>>>>> to the header then? Both seem similarly small at least (could be split
>>>>> f.e into two patches then, first for the move, second for the actual
>>>>> fix).
>>>>
>>>> No objection from me. Please feel free to send a patch. ;)
>>>
>>> Shrug, I actually meant this as feedback to your patch, since you move that
>>> helper and not as a note to myself. ;)
>>
>> Interesting, my patch only moves what it needs, why does it need
>> to do more?
>
> In case you miss the context:
> http://marc.info/?l=linux-netdev&m=146730654005424&w=2

I didn't miss it. Btw, recently had a similar issue (f8ffad69c9f8b8dfb0b).

> This patch should be backported to stable too, which is another
> reason why we should keep it as small as possible.

Fair enough.

> Here, at Twitter, we already backported it to 4.1 kernel for testing.
>
> (The reason why I don't have a Fixes: tag is that I don't identify an
> offending commit to blame yet.)